--
--Copyright (C) 2019 Centro de Computacao Cientifica e Software Livre
--Departamento de Informatica - Universidade Federal do Parana - C3SL/UFPR
--
--This file is part of SMPPIR-Tables.
--
--SMPPIR-Tables is free software: you can redistribute it and/or modify
--it under the terms of the GNU General Public License as published by
--the Free Software Foundation, either version 3 of the License, or
--(at your option) any later version.
--
--SMPPIR-Tables is distributed in the hope that it will be useful,
--but WITHOUT ANY WARRANTY; without even the implied warranty of
--MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
--GNU General Public License for more details.
--
--You should have received a copy of the GNU General Public License
--along with SMPPIR-Tables.  If not, see <https://www.gnu.org/licenses/>.
--

CREATE TABLE institution_ag 
AS 
SELECT 
    inst.ano_censo, 
    nome_ies, 
    cod_ies,
    sigla_uf_ies
    
FROM 
    ies_ens_superior as inst 

WHERE 
    (ano_censo = (
        SELECT 
            MAX(ano_censo) 
        FROM ies_ens_superior as ies 
        WHERE inst.cod_ies = ies.cod_ies)
    ) AND 
    (cod_categoria_administrativa IN (1)) AND 
    (cod_organizacao_academica IN (1, 4, 5)) 

GROUP BY 
    inst.ano_censo, 
    nome_ies, 
    cod_ies,
    sigla_uf_ies

ORDER BY 
    inst.ano_censo ASC, 
    nome_ies ASC,
    sigla_uf_ies
;