--
--Copyright (C) 2019 Centro de Computacao Cientifica e Software Livre
--Departamento de Informatica - Universidade Federal do Parana - C3SL/UFPR
--
--This file is part of SMPPIR-Tables.
--
--SMPPIR-Tables is free software: you can redistribute it and/or modify
--it under the terms of the GNU General Public License as published by
--the Free Software Foundation, either version 3 of the License, or
--(at your option) any later version.
--
--SMPPIR-Tables is distributed in the hope that it will be useful,
--but WITHOUT ANY WARRANTY; without even the implied warranty of
--MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
--GNU General Public License for more details.
--
--You should have received a copy of the GNU General Public License
--along with SMPPIR-Tables.  If not, see <https://www.gnu.org/licenses/>.
--

CREATE TABLE pnad_ag 
AS 
SELECT
    pnad.cor_raca_original,
    pnad.rede_ensino,
    pnad.area_rede_publica_ensino,
    pnad.curso_que_frequenta,
    estado.sigla,
    estado.regiao_id,
    ano_censo,
    COUNT(*) AS total 

FROM 
    pnad 
        INNER JOIN 
    estado ON (pnad.estado_id=estado.id) 

WHERE 
    (idade >= 18) AND 
    (idade <= 24) 

GROUP BY 
    pnad.cor_raca_original, 
    pnad.rede_ensino, 
    pnad.area_rede_publica_ensino, 
    pnad.curso_que_frequenta, 
    estado.sigla, 
    estado.regiao_id, 
    ano_censo 

ORDER BY 
    pnad.cor_raca_original ASC, 
    pnad.rede_ensino ASC, 
    pnad.area_rede_publica_ensino ASC, 
    pnad.curso_que_frequenta ASC, 
    estado.sigla ASC, 
    estado.regiao_id ASC, 
    ano_censo ASC
;